%define name libvorbis
%define version	1.0
%define release 0.rc2.2mdk
%define theirversion 1.0rc2
%define lib_name_orig libvorbis
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: The Vorbis General Audio Compression Codec
Version: %{version}
Release: %{release}
Group: System/Libraries
Copyright: BSD
URL: http://www.xiph.org/
Source:	http://www.vorbis.com/files/rc1/unix/%{name}-%{theirversion}.tar.bz2
Patch0: libvorbis-fix-optflags.patch.bz2
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libogg-devel >= 1.0-0.rc1
Requires: libogg0 >= 1.0-0.rc1

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: oggvorbis
Provides: oggvorbis %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: oggvorbis-devel
Provides: oggvorbis-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p0

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT 
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf doc/*/Makefile*

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING AUTHORS README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/*.html doc/*.png doc/*.txt doc/vorbisfile doc/vorbisenc
%{_includedir}/vorbis
%{_libdir}/*.so
%{_libdir}/*.a
%{_datadir}/aclocal/vorbis.m4

%changelog
* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.2mdk
- fix provides

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.1mdk
- version 1.0rc2

* Wed Jun 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.1mdk
- version 1.0rc1

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta 4 release
- fix provides
- now under BSD license

* Tue Dec 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.4mdk
- use CVS code to get the fix for problems in encoding

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.3mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.2mdk
- add Obsoletes for oggvorbis

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- Package for Linux-Mandrake

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
